Skip to main content
PATCH
/
api
/
v1
/
projects
/
{projectId}
/
memberships
/
groups
/
{groupId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/projects/{projectId}/memberships/groups/{groupId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roles": [
    {
      "role": "<string>",
      "isTemporary": false
    }
  ]
}
'
{
  "roles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "role": "<string>",
      "projectMembershipId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "customRoleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "isTemporary": false,
      "temporaryMode": "<string>",
      "temporaryRange": "<string>",
      "temporaryAccessStartTime": "2023-11-07T05:31:56Z",
      "temporaryAccessEndTime": "2023-11-07T05:31:56Z"
    }
  ]
}
Updates the role(s) for a project group membership.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

projectId
string
required
groupId
string<uuid>
required

Body

application/json
roles
object[]
required

A list of roles to update the group to.

Minimum array length: 1

Response

Default Response

roles
object[]
required